Subject: RE: [Ltru] singleton (was: First draft published, please comment)

From: "Addison Phillips" <[email-masked]>
Date: Thu, 17 Mar 2005 09:56:45 -0800

Chairs:

I have created an editor's copy of draft-01 of the registry document. Because RFC 2234 and the ABNF rules must apply to our document, I have made the ABNF change noted in my message below (our existing ABNF is somehow invalid?)

I have not made the change regarding references. There needs to be direction about what, if anything, to do with dead references.

I am also prepared to follow your lead in incorporating appropriate textual changes that you feel have achieved the necessary consensus on the list. Changes in drafts I will continue to annotate in the "Changes" section of the document (Section 6, currently) to make it easier to track changes between versions.

I will not incorporate any text until you tell me to do so. If you wish me to create a mockup of changes or a checkpoint version for the purposes of debate, I'm happy to do that. Please let me know what form any such documents should take or any additional guidance you wish to supply.

Best Regards,

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Addison Phillips
> Sent: Wednesday, March 16, 2005 5:35 PM
> To: Frank Ellermann; [email-masked]
> Subject: RE: [Ltru] singleton (was: First draft published, please comment)
> 
> Fenner's parser doesn't like the new ABNF. I can make it ugly in the
> manner suggested easily enough, though. It isn't very friendly, but I
> don't think it matters. Perhaps:
> 
> singleton       = %x41-57 / %x59-6A / %x61-77 / %x79-7A
>                 ; "a"-"w" / "y"-"z" / "A"-"W" / "Y"-"Z"
>                 ; Single letters: x/X is reserved for private use
> 
> With regard to the references, these have not been cleaned in awhile. RFC
> 1521 is a dead reference. It was carried forward from RFC 3066... but
> wasn't referenced in that RFC either, merely carried forward from RFC 1766,
> Section 4.1.
> 
> I can update the reference or we could just expunge it altogether.
> 
> Addison
> 
> Addison P. Phillips
> Globalization Architect, Quest Software
> Chair, W3C Internationalization Core Working Group
> 
> Internationalization is not a feature.
> It is an architecture.
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> On
> > Behalf Of Frank Ellermann
> > Sent: Wednesday, March 16, 2005 5:14 PM
> > To: [email-masked]
> > Subject: [Ltru] singleton (was: First draft published, please comment)
> >
> > Martin Duerst wrote:
> >
> > > For minor editorial stuff, please put a series of comments
> > > into one email.
> >
> > Minor fix, already posted as a comment for draft-10, but it did
> > not make into the new draft:
> >
> > | One comment says that the singleton-ABNF is not yet finished:
> > |
> >
> <https://datatracker.ietf.org/public/pidtracker.cgi?command=view_comment&i
> > d=31580>
> >
> > | That's an 2234 oddity, if you say "x" or "X" then it's always
> > | case insensitive, therefore you need %d120 or %d88 for a case
> > | sensitive "x" vs. "X".  A possible solution for draft-11:
> >
> > |  privateuse = "x" 1*("-" (1*8alphanum)) ; private use subtag(s)
> > |  singleton  = ALPHA ; Single letters: x/X is for private use
> >
> > Looking again at it that's still not correct, it should be:
> >
> >    singleton  =  %x41-57 / %x59-6A / %x61-77 / %x79-7A
> >                  ; ALPHA excl. "x" / "X" for private use
> >
> > <http://www.apps.ietf.org/abnf.html> doesn't care about these
> > subtle details, but <http://irg.attlabs.net/~fenner/abnf.cgi>
> > likes the new ugly "singleton" and the simplified "privateuse".
> >
> > RfC 2234 belongs to the future "normative references" in the
> > next draft.
> >
> > RfC 1521 in the references is old, it's also apparently not
> > used in the text as [8] or 1521.  Maybe add [8] to the word
> > MIME in 2.4, and replace RfC 1521 by 2045.  That would go to
> > the "informative references" in the next draft.
> >
> >                              Bye, Frank
> >
> >
> >
> > _______________________________________________
> > Ltru mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ltru
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 17 Mar 2005 22:36:45 -0800

Hi -

> From: "Addison Phillips" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, March 17, 2005 9:56 AM
...
> I have not made the change regarding references.
> There needs to be direction about what, if anything,
> to do with dead references.

(As contributor): delete dead references.
(As WG co-chair): Removing dead references is a "pure" editorial task akin
to fixing grammar or spelling.  You've alerted the WG to the problem; if
anyone feels strongly about it, it is incumbent on them to speak up.  I
recommend deleting the dead references.

...
> I will not incorporate any text until you tell me to do so.

> If you wish me to create a mockup of changes or a
> checkpoint version for the purposes of debate, I'm happy to do that.

The i-d itself normally serves that purpose.  Integers are cheap,
and, except during IETF meeting week, the secretariat gives
fast service.

> Please let me know what form any such documents should
> take or any additional guidance you wish to supply.

Several issues have been discussed during this first week of ltru.
Martin and I will make a quick pass through the threads, and send
out "consensus call" messages for the issues that have been
brought up where we think there may be a rough consensus.  That
will give anyone with strong objections to those proposed resolutions
the opportunity to present alternatives.

After we've sent out those consensus calls:
If anyone on this list thinks there's an issue that's reached
consensus that we've overlooked, please post to the list.
If we get it wrong, please post to the list.
If we don't see objections in a day or two, the editors should
go ahead with the changes.

Randy
Ltru co-chair

---

From: Martin Duerst <[email-masked]>
Date: Fri, 18 Mar 2005 15:36:16 +0900

Hello Addison,

 >Chairs:

Many thanks for checking with us.

 >I have created an editor's copy of draft-01 of the registry document.
 >Because RFC 2234 and the ABNF rules must apply to our document, I have made
 >the ABNF change noted in my message below (our existing ABNF is somehow 
invalid?)

Good.

 >I have not made the change regarding references. There needs to be
 >direction about what, if anything, to do with dead references.

I think this is one of these things where nobody cares enough.
For such things, it's best if you just go ahead and do something,
tell everybody on the list, and get back to it if it should
turn out to be controversial. If you need input to start with,
here is my personal preference: Update to RFC 2045 and reference
it from after the word MIME.

 >I am also prepared to follow your lead in incorporating appropriate textual
 >changes that you feel have achieved the necessary consensus on the list.

Great. Randy may come up with some proposal for how to manage issues.
I hope we can soon reach an at least preliminary conclusion for how
we want to address registry initialization.

 >Changes in drafts I will continue to annotate in the "Changes" section of
 >the document (Section 6, currently) to make it easier to track changes
 >between versions.

Okay, very good.

 >I will not incorporate any text until you tell me to do so. If you wish me
 >to create a mockup of changes or a checkpoint version for the purposes of
 >debate, I'm happy to do that. Please let me know what form any such
 >documents should take or any additional guidance you wish to supply.

I don't think we need an additional level. For some things,
it will be okay for you to just create actual wording based
on a conclusion we reach, and we all see that text in the
next internet-draft. For other things, the best thing to do
is to float the actual text here on the list.

Thanks again for your work.

Regards,    Martin.